package com.example.compras;

import java.text.DecimalFormat;
import java.text.NumberFormat;

import android.app.Activity;
import android.app.ActionBar;
import android.app.AlertDialog;
import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.TextView;
import android.os.Build;

public class MainActivity extends Activity {
CheckBox ckLeite,ckCocaCola,ckArroz,ckCarne,ckFeijao;
Button btTotalCompra;
TextView tvTotalCompra;
ImageView imgProduto;
double totalCompra=0;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		ckLeite = (CheckBox)findViewById(R.id.ckLeite);
		ckCocaCola = (CheckBox)findViewById(R.id.ckCocaCola);
		ckArroz = (CheckBox)findViewById(R.id.ckArroz);
		ckCarne = (CheckBox)findViewById(R.id.ckCarne);
		ckFeijao = (CheckBox)findViewById(R.id.ckFeijao);
		
		btTotalCompra = (Button)findViewById(R.id.btTotalCompra);
		tvTotalCompra = (TextView)findViewById(R.id.tvTotalCompra);
		imgProduto = (ImageView)findViewById(R.id.imgProduto);
		
		ckLeite.setOnClickListener(escolherLeite);
		ckCocaCola.setOnClickListener(escolherCocaCola);
		ckArroz.setOnClickListener(escolherArroz);
		ckCarne.setOnClickListener(escolherCarne);
		ckFeijao.setOnClickListener(escolherFeijao);
		
		btTotalCompra.setOnClickListener(mostrarTotal);
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	View.OnClickListener escolherLeite = new View.OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			if (ckLeite.isChecked())
			{
				totalCompra+=4.00;	
			}
			else
			{
				totalCompra-=4.00;	
			}

			imgProduto.setImageResource(R.drawable.leite);
			exibeTotal();
		}
	};
	
View.OnClickListener escolherCarne = new View.OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			if (ckCarne.isChecked())
			{
				totalCompra+=15.00;	
			}
			else
			{
				totalCompra-=15.00;	
			}

			imgProduto.setImageResource(R.drawable.carne);
			exibeTotal();
		}
	};
	
View.OnClickListener escolherFeijao = new View.OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			if (ckFeijao.isChecked())
			{
				totalCompra+=5.00;	
			}
			else
			{
				totalCompra-=5.00;	
			}

			imgProduto.setImageResource(R.drawable.feijao);
			exibeTotal();
		}
	};

View.OnClickListener escolherArroz = new View.OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			if (ckArroz.isChecked())
			{
				totalCompra+=3.00;	
			}
			else
			{
				totalCompra-=3.00;	
			}

			imgProduto.setImageResource(R.drawable.arroz);
			
			exibeTotal();
			
			
		}
	};
	
View.OnClickListener escolherCocaCola = new View.OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			if (ckCocaCola.isChecked())
			{
				totalCompra+=6.00;	
			}
			else
			{
				totalCompra-=2.00;	
			}

			exibeTotal();
		}
	};
	
	View.OnClickListener mostrarTotal = new View.OnClickListener() {
		
		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			mensagemDeAlerta();
			
		}
	};
	
	public void mensagemDeAlerta()
	{
		DecimalFormat formatarMoeda = new DecimalFormat("##,00");
		 AlertDialog.Builder dialogo = new AlertDialog.Builder(MainActivity.this);  
        dialogo.setTitle("Aviso");  
        dialogo.setMessage("Valor total da compra R$"  + formatarMoeda.format(totalCompra));
        dialogo.setNeutralButton("OK", null);  
        dialogo.setIcon(R.drawable.compras);
        dialogo.show(); 
	}
	
	public void exibeTotal()
	{
		DecimalFormat formatarMoeda = new DecimalFormat("0.00");
		tvTotalCompra.setText("Total da compra R$ " + formatarMoeda.format(totalCompra));
	}
	
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	

}
